curl --request GET \
--url https://api.cadanapay.com/v1/entities/{entityId} \
--header 'Authorization: Bearer <token>'{
"id": "37ad8c1e-0187-4e10-8c54-395e3385b4d2",
"tenantKey": "cad617152",
"legalName": "Acme Corp Ghana",
"country": "GH",
"currency": "GHS",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"registrationNumber": "BN-123456",
"taxId": "TIN-789012",
"incorporationDate": "2020-01-15",
"entityType": "corporation",
"status": "ACTIVE",
"createdTimestamp": 1609459200,
"lastUpdatedTimestamp": 1609459200
}Fetch a single legal entity by ID
curl --request GET \
--url https://api.cadanapay.com/v1/entities/{entityId} \
--header 'Authorization: Bearer <token>'{
"id": "37ad8c1e-0187-4e10-8c54-395e3385b4d2",
"tenantKey": "cad617152",
"legalName": "Acme Corp Ghana",
"country": "GH",
"currency": "GHS",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"registrationNumber": "BN-123456",
"taxId": "TIN-789012",
"incorporationDate": "2020-01-15",
"entityType": "corporation",
"status": "ACTIVE",
"createdTimestamp": 1609459200,
"lastUpdatedTimestamp": 1609459200
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier of the entity
Entity details
Full entity details
"37ad8c1e-0187-4e10-8c54-395e3385b4d2"
"cad617152"
"Acme Corp Ghana"
ISO 3166-1 alpha-2 country code
"GH"
ISO 4217 currency code
"GHS"
Address
Show child attributes
Person's phone number
Show child attributes
"BN-123456"
"TIN-789012"
"2020-01-15"
corporation, c-corporation, s-corporation, partnership, sole proprietorship, limited liability company, non profit, other "corporation"
"ACTIVE"
Unix timestamp when the entity was created
1609459200
Unix timestamp when the entity was last updated
1609459200